Bug 138193 - Multiple dependant vowel signs (indic) displayed as one
Multiple dependant vowel signs (indic) displayed as one
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks: Indic FC6Update 209089
  Show dependency treegraph
 
Reported: 2004-11-05 10:26 EST by Jatin Nansi
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.14.6-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 18:42:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jatin Nansi 2004-11-05 10:26:20 EST
Description of problem:
When the same dependant vowel is entered multiple times following a
consonant, there is no visual indication available for the same. As a
result, its very easy to make spelling mistakes. 


Version-Release number of selected component (if applicable):
pango-1.6.0-7


How reproducible:
Every time


Steps to Reproduce:
1. LANG=hi_IN.UTF-8 gedit
2. ctrl+space, F6 (switch on iiimf, use phonetic keyboard layout)
3. Enter following key combinations: kooooo, kOOOOO, kiiii, kIIII
   kuuu, kUUU, keeee, kEEEE
  

Actual results:
Even if the vowel sign is repeated over and over again, the display
shows just one vowel sign. 


Expected results:
Only one dependant vowel should be attached to the preceding
consonant. Repeated vowel signs should be displayed independently of
the consonant as a blank dotted circle with the vowel sign. 


Additional info:
the 'k' key corresponds to a vowel, the english vowel keys correspond
to hindi dependant vowels in the phonetic keyboard layout.
The same problem also exists in Gujarati (gu_IN.UTF-8). 
Tested on RHEL4B2-20041027.0 using the lohit fonts.
Comment 1 A S Alam 2005-06-03 00:08:06 EDT
this is also existing for Punjabi(pa_IN). This is very serious problem, when u r
using 
on GTK engine, user is totaly unaware about number of characters to be print,
only able to find this if he check that document with some other rendering engine!
Comment 2 Matthias Clasen 2006-02-08 09:31:20 EST
http://bugzilla.gnome.org/show_bug.cgi?id=330407
Comment 3 Liang Zhang 2006-02-22 22:02:26 EST
I wrote a patch to fix this bug, and multiple dependant vowel signs (indic) can
display as more, not as one.
The patch was committed in http://bugzilla.gnome.org/show_bug.cgi?id=330407.
Comment 4 Matthias Clasen 2006-06-20 01:10:39 EDT
Reassigning pango bugs to Behdad.
Comment 5 Liang Zhang 2006-08-03 23:06:05 EDT
I wrote a new patch for this bug.
The address is below:
http://bugzilla.gnome.org/show_bug.cgi?id=330407
Comment 6 Liang Zhang 2006-10-16 21:56:13 EDT
My patch has already been received by upstream. It can be closed.
Comment 7 Matthias Clasen 2006-10-17 01:08:54 EDT
This will be fixed as soon as we push a pango update for fc6
Comment 8 Fedora Update System 2006-10-24 16:21:26 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 9 Fedora Update System 2006-10-25 11:51:41 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 10 Fedora Update System 2006-10-30 16:42:18 EST
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.